import { Field } from '../fields';
import { BaseException } from './BaseException';
export declare class FieldNotBoundException extends BaseException {
    constructor(field: Field);
}
export declare class InvalidFieldOptionsException extends BaseException {
    constructor(field: Field, property: string, message: string);
}
export declare class RequiredFieldOptionsException extends InvalidFieldOptionsException {
    constructor(field: Field, property: string);
}
