"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequiredFieldOptionsException = exports.InvalidFieldOptionsException = exports.FieldNotBoundException = void 0;
var tslib_1 = require("tslib");
var BaseException_1 = require("./BaseException");
var FieldNotBoundException = /** @class */ (function (_super) {
    tslib_1.__extends(FieldNotBoundException, _super);
    function FieldNotBoundException(field) {
        var _this = _super.call(this, 'Field "' + field.cls.name + '" not bound or fieldName not set on new') || this;
        _this.constructor = FieldNotBoundException;
        // @ts-ignore
        // eslint-disable-next-line no-proto
        _this.__proto__ = FieldNotBoundException.prototype;
        return _this;
    }
    return FieldNotBoundException;
}(BaseException_1.BaseException));
exports.FieldNotBoundException = FieldNotBoundException;
var InvalidFieldOptionsException = /** @class */ (function (_super) {
    tslib_1.__extends(InvalidFieldOptionsException, _super);
    function InvalidFieldOptionsException(field, property, message) {
        var _this = _super.call(this, "Invalid " + property + " in field " + field.cls.name + ": " + message) || this;
        _this.constructor = InvalidFieldOptionsException;
        // @ts-ignore
        // eslint-disable-next-line no-proto
        _this.__proto__ = InvalidFieldOptionsException.prototype;
        return _this;
    }
    return InvalidFieldOptionsException;
}(BaseException_1.BaseException));
exports.InvalidFieldOptionsException = InvalidFieldOptionsException;
var RequiredFieldOptionsException = /** @class */ (function (_super) {
    tslib_1.__extends(RequiredFieldOptionsException, _super);
    function RequiredFieldOptionsException(field, property) {
        var _this = _super.call(this, field, property, property + " is required") || this;
        _this.constructor = RequiredFieldOptionsException;
        // @ts-ignore
        // eslint-disable-next-line no-proto
        _this.__proto__ = RequiredFieldOptionsException.prototype;
        return _this;
    }
    return RequiredFieldOptionsException;
}(InvalidFieldOptionsException));
exports.RequiredFieldOptionsException = RequiredFieldOptionsException;
