"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingUrlException = exports.NotDeclaredFieldException = void 0;
var tslib_1 = require("tslib");
var BaseException_1 = require("./BaseException");
var NotDeclaredFieldException = /** @class */ (function (_super) {
    tslib_1.__extends(NotDeclaredFieldException, _super);
    function NotDeclaredFieldException(model, fieldName) {
        var _this = _super.call(this, 'Field "' + fieldName + '" not declared on Model "' + model.cls.name + '"') || this;
        _this.constructor = NotDeclaredFieldException;
        // @ts-ignore
        // eslint-disable-next-line no-proto
        _this.__proto__ = NotDeclaredFieldException.prototype;
        return _this;
    }
    return NotDeclaredFieldException;
}(BaseException_1.BaseException));
exports.NotDeclaredFieldException = NotDeclaredFieldException;
var MissingUrlException = /** @class */ (function (_super) {
    tslib_1.__extends(MissingUrlException, _super);
    function MissingUrlException(modelName) {
        var _this = _super.call(this, 'Missing url configuration in Model "' + modelName + '"') || this;
        _this.constructor = MissingUrlException;
        // @ts-ignore
        // eslint-disable-next-line no-proto
        _this.__proto__ = MissingUrlException.prototype;
        return _this;
    }
    return MissingUrlException;
}(BaseException_1.BaseException));
exports.MissingUrlException = MissingUrlException;
