"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CharField = void 0;
var tslib_1 = require("tslib");
var common_1 = require("../utils/common");
var FormatStringField_1 = require("./FormatStringField");
var CharField = /** @class */ (function (_super) {
    tslib_1.__extends(CharField, _super);
    function CharField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Parse value and convert to null or String
     */
    CharField.prototype.valueParser = function (rawValue) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, (rawValue === '' || common_1.isNull(rawValue)) ? null : String(rawValue)];
            });
        });
    };
    return CharField;
}(FormatStringField_1.FormatStringField));
exports.CharField = CharField;
