"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var vue_1 = tslib_1.__importDefault(require("vue"));
var RenderableField_1 = require("../fields/RenderableField");
exports.default = vue_1.default.extend({
    props: {
        /**
         * Field instance
         */
        field: {
            type: RenderableField_1.RenderableField,
            required: true
        },
        /**
         * Additional render props
         */
        renderProps: {
            type: Object,
            default: null
        }
    }
});
