import { Config } from '../config';
export declare const configHandler: {
    defaultConfig: Config;
    getConfig(): import("../types/Dictionary").Dictionary<any>;
    /**
     * Return flag whether asyncComputed package should be used
     */
    useAsyncComputed(): boolean;
    /**
     * Check whether useAsyncComputed should be true and output warning if not
     */
    checkWarningUseAsyncComputed(): void;
    /**
     * Get translation for given key
     */
    getTranslation(key: string): Promise<string>;
    /**
     * Emit event
     */
    emitEvent(event: string, args: any[]): void;
};
