"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormatStringField = void 0;
var tslib_1 = require("tslib");
var common_1 = require("../utils/common");
var RenderableField_1 = require("./RenderableField");
var FormatStringField = /** @class */ (function (_super) {
    tslib_1.__extends(FormatStringField, _super);
    function FormatStringField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * Prepare formatted value for display render
     */
    FormatStringField.prototype.prepareDisplayRender = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, this.valueFormatter()];
            });
        });
    };
    /**
     * Format the value to a string
     */
    FormatStringField.prototype.valueFormatter = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var value;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.value];
                    case 1:
                        value = _a.sent();
                        return [2 /*return*/, !common_1.isNull(value) ? String(value) : null];
                }
            });
        });
    };
    return FormatStringField;
}(RenderableField_1.RenderableField));
exports.FormatStringField = FormatStringField;
