import { FormatStringField } from './FormatStringField';
import { CreateElement, VNode } from 'vue';
import { InputRenderData } from '../types/fields/Field';
export declare class IntegerField extends FormatStringField {
    /**
     * Simple Vue render function when using default inputComponent for input of field value with <input-field/>
     */
    inputRender(h: CreateElement, { value, inputProps }: InputRenderData): VNode;
    /**
     * Parse value and convert to number or null
     */
    valueParser(rawValue: any): Promise<number | null>;
}
